Package Details: xmind-legacy 3.6.51-4

Git Clone URL: https://aur.archlinux.org/xmind-legacy.git (read-only)
Package Base: xmind-legacy
Description: Brainstorming and Mind Mapping Software - legacy version 7.5
Upstream URL: http://www.xmind.net
Licenses: LGPL, EPL
Conflicts: xmind
Submitter: ivoshm
Maintainer: None
Last Packager: ivoshm
Votes: 3
Popularity: 0.011441
First Submitted: 2017-07-25 07:41
Last Updated: 2017-10-03 10:10

Latest Comments

StratosL commented on 2018-04-29 14:00

As of Apr-29, it works fine again with re: to my last comment

StratosL commented on 2018-03-13 04:27

** In Manjaro KDE, i get an xmind crash when pressing ctrl-p or try to print via the menu.

** here's the report file: https://www.dropbox.com/s/8fx6wimmot9guqq/hs_err_pid17947.log?dl=0

** here's the konsole msg:

(XMind:17947): Gtk-WARNING **: Allocating size to GtkEntry 0x7fc1e07cd610 without calling gtk_widget_get_preferred_width/height(). How does the code know the size to allocate?

(XMind:17947): Gtk-WARNING **: Negative content width -6 (allocation 1, extents 4x3) while allocating gadget (node toolbar, owner GtkToolbar)

A fatal error has been detected by the Java Runtime Environment:
SIGSEGV (0xb) at pc=0x00007fc18bfea2d7, pid=17947, tid=0x00007fc1e98f8700
JRE version: OpenJDK Runtime Environment (8.0_162-b01) (build 1.8.0_162-b01)
Java VM: OpenJDK 64-Bit Server VM (25.162-b01 mixed mode linux-amd64 compressed oops)
Problematic frame:
C [libgtk-3.so.0+0x1882d7] gtk_css_provider_load_from_data+0x27
Core dump written. Default location: /usr/lib/xmind/core or core.17947
An error report file with more information is saved as:
/tmp/hs_err_pid17947.log
If you would like to submit a bug report, please visit:
http://bugreport.java.com/bugreport/crash.jsp
The crash happened outside the Java Virtual Machine in native code.
See problematic frame for where to report the bug.

ivoshm commented on 2017-10-03 10:14

Sorry about that ... resolved in pkgrel 4.

BTW - release 3 (and 4 too) differs only in conflicts definition (you can't have both xmind-legacy and xmind installed)

StratosL commented on 2017-10-03 04:12

Version -3 does not install properly. The script reinstalls version -2. So, version -3 keeps showing up in the updates. Maybe a naming issue?